<?php
// This file is part of some mods
// which are featured at www.1-4a.com

if ( !defined('IN_PHPBB') )
	{
	die('Hacking attempt');
	} 

function getlanguage($lang_file_base)
// Call as getlanguage(__FILE__)
// or as getlanguage('name')
	{
	global $lang, $phpbb_root_path, $phpEx, $board_config;

	$lang_file_base = basename($lang_file_base,'.'.$phpEx); // delete the ending '.php' and the path (e.g. 'includes/') (if there)
	$lang_file_base = preg_replace('/.*functions_(.*)/i','\\1',$lang_file_base); // delete an existing 'functions_' (if there)
	$lang_file_base = preg_replace('/(.*?)_.*/','\\1',$lang_file_base); // delete everything after the first '_'
	$lang_file_base = preg_replace('/^(.*)[0-9]+$/','\\1',$lang_file_base); // if you append a number to the .php (for testing purposes, e.g. "script2.php") then still "lang_script.php" will be loaded and not "lang_script2.php"
	
	$fullpath = $phpbb_root_path.'language/lang_'.$board_config['default_lang'].'/lang_'.$lang_file_base.'.'.$phpEx;
	if (!file_exists($fullpath)) // load English version if there is no translation to current language
		{
		$fullpath = $phpbb_root_path.'language/lang_english/lang_'.$lang_file_base.'.'.$phpEx;
		}
	
	if (!include_once($fullpath))
		{
		message_die(GENERAL_MESSAGE, 'File not found: "'.$fullpath.'"');
		}
	}
	
function knn_append_query($url,$query)
	{
	if (empty($url))
		{
		$url = basename($_SERVER['PHP_SELF']);
		}
	
	if (empty($query))
		{
		}
	else	{
		if (strpos($url,'?') > 0)
			{
			$url .= '&amp;'.$query;
			}
		else
			{
			$url .= '?'.$query;
			}
		}
	
	return $url;
	}

function knn_makelink($url,$linktext,$change_extension=TRUE)
	{
	global $phpEx;
	if (empty($url) || empty($linktext))
		{
		return '';
		}
	
	if ($change_extension)
		{
		$url = preg_replace('/[.]php$/i',$phpEx,$url);
		}
	
	return '<a href="'.append_sid($url).'">'.$linktext.'</a>';
	}

?>